View Issue Details

IDProjectCategoryView StatusLast Update
0020600mantisbtbugtrackerpublic2016-06-12 00:42
ReportervboctorAssigned Tovboctor 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version1.2.19 
Target Version1.3.0-rc.2Fixed in Version1.3.0-rc.2 
Summary0020600: steps to reproduce / additional info view checks are inconsistent in view / print issue pages
Description

In the view page we show the fields if they are enabled and not empty. In print, we should them if they are enabled.

  • bug_view_inc.php
    $t_show_additional_information = !is_blank( $t_bug->additional_information ) && in_array( 'additional_info', $t_fields );
    $t_show_steps_to_reproduce = !is_blank( $t_bug->steps_to_reproduce ) && in_array( 'steps_to_reproduce', $t_fields );

  • print_bug_page.php
    $t_show_steps_to_reproduce = in_array( 'steps_to_reproduce', $t_fields );
    $t_show_additional_information = in_array( 'additional_info', $t_fields );
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

MantisBT: master 48f93f86

2016-02-13 02:17:14

vboctor

Details Diff
Don't show additional info / steps to repro if empty

The print issue page was showing these fields when empty, which is inconsistent
with the view issue page.

Fixes 0020600
mod - print_bug_page.php Diff File

Issue History

Date Modified Username Field Change
2016-02-12 22:57 vboctor New Issue
2016-02-12 22:57 vboctor Status new => assigned
2016-02-12 22:57 vboctor Assigned To => vboctor
2016-02-13 02:18 vboctor Changeset attached => MantisBT master 48f93f86
2016-02-13 02:18 vboctor Status assigned => resolved
2016-02-13 02:18 vboctor Resolution open => fixed
2016-02-13 02:18 vboctor Fixed in Version => 1.3.0-rc.2
2016-02-13 02:18 vboctor Target Version => 1.3.0-rc.2
2016-06-12 00:42 vboctor Status resolved => closed